summaryrefslogtreecommitdiff
path: root/package/shorewall-common/files/shorewall.init
diff options
context:
space:
mode:
Diffstat (limited to 'package/shorewall-common/files/shorewall.init')
-rw-r--r--package/shorewall-common/files/shorewall.init33
1 files changed, 33 insertions, 0 deletions
diff --git a/package/shorewall-common/files/shorewall.init b/package/shorewall-common/files/shorewall.init
new file mode 100644
index 000000000..c2800f732
--- /dev/null
+++ b/package/shorewall-common/files/shorewall.init
@@ -0,0 +1,33 @@
+#!/bin/sh
+#FWINIT 45
+. /etc/rc.conf
+
+case $1 in
+autostop) ;;
+autostart)
+ test x"$shorewall" != x"YES" && exit 0
+ exec sh $0 start
+ ;;
+start)
+ touch /var/log/messages
+ mkdir -p /var/lock/subsys
+ /sbin/shorewall -f start 1>/dev/null
+ ;;
+stop)
+ /sbin/shorewall stop 1>/dev/null
+ ;;
+restart)
+ if [ -f /var/lib/shorewall/restore ] ; then
+ /sbin/shorewall restore
+ else
+ /sbin/shorewall restart 1>/dev/null
+ fi
+ ;;
+clear)
+ /sbin/shorewall clear
+ ;;
+*)
+ echo "Usage: $0 {start|stop|restart|clear}"
+ ;;
+esac
+exit $?